Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Accessible Class Reference

A GtkAccessible C++ wrapper class. More...

`#include <inti/gtk/accessible.h>`

Inheritance diagram for Inti::Gtk::Accessible:

List of all members.

## Public Member Functions

Constructors

- virtual ~Accessible ()
    Destructor.

Accessors

- GtkAccessible * gtk_accessible () const
    Get a pointer to the GtkAccessible structure.
- GtkAccessibleClass * gtk_accessible_class () const
    Get a pointer to the GtkAccessibleClass structure.
- operator GtkAccessible * () const
    Conversion operator; safely converts an Accessible to a GtkAccessible pointer.

Methods

- void connect_widget_destroyed ()
    This method specifies the callback function to be called when the widget corresponding to a GtkAccessible is destroyed.

## Protected Member Functions

Constructors

- Accessible (GtkAccessible *accessible, bool reference=true)
    Construct a new Accessible from an existing GtkAccessible.

## Detailed Description

A GtkAccessible C++ wrapper class.

## Constructor & Destructor Documentation

Inti::Gtk::Accessible::Accessible | ( | GtkAccessible * | accessible,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new Accessible from an existing GtkAccessible. Parameters:
  accessible | A pointer to a GtkAccessible.
  reference | Set false if the initial reference count is floating, set true if it's not.
The accessible can be a newly created GtkAccessible or an existing GtkAccessible. (see G::Object::Object).

The documentation for this class was generated from the following file:

- accessible.h

Main Page - Footer